GET /v0/entry/all
curl --request GET \
--url https://example.com/api/validator/v0/entry/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://example.com/api/validator/v0/entry/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/validator/v0/entry/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"contractId": "<string>",
"name": "<string>",
"amount": "<string>",
"unit": "<string>",
"expiresAt": "<string>",
"paymentInterval": "<string>",
"paymentDuration": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}GET /v0/entry/all
Lists all ANS entries owned by the user. Expired entries are not included in the response, even if the corresponding contracts are still active on the ledger.
GET
/
v0
/
entry
/
all
GET /v0/entry/all
Authorizations
JWT token as described in spliceAppBearerAuth. The subject of the token must be ledger API user of the user affected by the endpoint.
Response
ok
Show child attributes
Show child attributes
Was this page helpful?
⌘I